[mythtv] Resurrecting MythBrowser after the switch to Qt4

Stuart Morgan stuart at tase.co.uk
Thu Jul 17 12:55:25 UTC 2008

On Thursday 17 July 2008 13:41:23 Paul Harrison wrote:
> Janne Grunau wrote:
> >> Would there be any objections to making Qt4.4 the minimum version
> >> required for trunk?
> >
> > I think it's quite early in the life of Qt 4.4 and we have been
> > conversative with required software. The situation will be better in
> > six months (when all distros are updated with KDE 4.2).
> I can understand this but I'd like to use MythBrowser now not in six
> months :-(
> I can see what's going to happen here it's going to be another of those
> threads that no one can agree anything and at the end of the day nothing
> really changes :-(

If the target is getting MythBrowser up and running again, then I think we 
already have the answer, go with the first option and use QWebView for now. 
The MythUIType idea can always be implemented later once we've decided to 
switch to QT 4.4.

I don't even think there are QT 4.4. packages in the unstable repos for some 
distros yet, Mandriva included and I don't fancy building it from source.
Stuart Morgan

More information about the mythtv-dev mailing list